%define _realname moztweak
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-%_realname
Version: 1.2.2a
Release: alt1
Summary: Mozilla tweaks
License: MPL
URL: http://mozillapl.mozdev.org/
Group: Networking/WWW
Source0: http://dl.sourceforge.net/mozillapl/Moztweak-%version.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
Mozilla tweaks - a module that supports customization of many Mozilla
parameters that are accessible only through manual editing of
user.prefs and other configuration files. MozTweak allows to change
those parameters from a nice menu.

%prep
%setup -q -c -n %name

%install
install -d $RPM_BUILD_ROOT%_chromedir
install -m644 bin/chrome/moztweak.jar $RPM_BUILD_ROOT%_chromedir
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

%files
%_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%changelog
* Fri May 28 2004 Victor Forsyuk <force@altlinux.ru> 1.2.2a-alt1
- Initial build for Sisyphus.
